--- drakma-0.11.4/request.lisp.original	2008-02-13 17:21:48.000000000 +0200
+++ drakma-0.11.4/request.lisp	2008-03-22 00:09:10.828125000 +0200
@@ -138,16 +138,18 @@
 for an empty body) is returned.  Returns the optional `trailer' HTTP
 headers of the chunked stream \(if any) as a second value."
   (let ((content-length (ignore-errors
                            (parse-integer (header-value :content-length headers))))
         (element-type (if textp
                         #+:lispworks 'lw:simple-char #-:lispworks 'character
                         'octet))
         (chunkedp (chunked-stream-input-chunking-p (flexi-stream-stream stream))))
+    #+clisp
+    (setf (flexi-stream-element-type stream) element-type)
     (multiple-value-prog1 
         (values (cond ((eql content-length 0) nil)
                       (content-length
                        (when chunkedp
                          ;; see RFC 2616, section 4.4
                          (error "Got Content-Length header although input chunking is on."))
                        (let ((result (make-array content-length
                                                  :element-type element-type
